Subject: Re: Deleting remote branches with git-branch and reflog questions

From: Andy Parkins <[email-masked]>
Date: Tue, 23 Jan 2007 15:29:38 +0000

On Tuesday 2007 January 23 14:59, Johannes Schindelin wrote:

> You mean, kind of like a waste bin? Where you delete stuff, but come back
> and whine that you did not meant to delete it after all?

No, no; I'm whining that the reflog was deleted, not the branch.  I think 
that "ref deleted" is just as valid for logging as anything else, and 
deleting the log makes it impossible to view that operation.

Given how powerful the reflog is; it doesn't seem unreasonable to want to be 
able to do

$ git branch -D some-branch
$ git show some-branch@{2 days ago}

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]